Bug 1264124 - RFE: Provide easier count scaling strings
RFE: Provide easier count scaling strings
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pcp (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nathan Scott
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-17 10:33 EDT by Marko Myllynen
Modified: 2016-07-19 13:55 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:55:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marko Myllynen 2015-09-17 10:33:32 EDT
Description of problem:
Currently, for scaling something like "Kbyte" and "GB" are accepted with space-dimension metrics and something like "millisec" and "sec" are accepted with time-dimension metrics. However, with count-dimension the only accepted form is whitespace-sensitive "count x 10" / "count x 10^N". This is needlessly cumbersome, something like "k" or "M" would be much easier to write and for some even easier to read.

Version-Release number of selected component (if applicable):
3.10.7
Comment 1 Marko Myllynen 2015-09-17 10:51:16 EDT
Few concrete examples which might be worthwhile additions for pmParseUnitsStr to accept:

count x 10   : x10 (and perhaps da)
count x 10^2 : x100 (and perhaps h)
count x 10^3 : x1000 and k
count x 10^6 : x1000000 and M

And so on for G/T/E as already possible with space-dimension.

Somewhat related, not sure how to deal with "count / 100" and such, currently it doesn't seem to do anything although it is accepted.

Thanks.
Comment 2 Marko Myllynen 2015-09-17 11:08:24 EDT
(In reply to Marko Myllynen from comment #1)
> 
> Somewhat related, not sure how to deal with "count / 100" and such,
> currently it doesn't seem to do anything although it is accepted.

Actually, nevermind, it works as expected. But here the corresponding forms like "/100" might make sense, not sure about "m" (as opposed to "M") etc.
Comment 3 Marko Myllynen 2015-11-23 08:27:10 EST
FWIW, as this will be exposed to users via pmrep(1) perhaps at least the space-sentivity would be worth fixing.
Comment 4 Fedora End Of Life 2016-07-19 13:55:17 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.